AUTODOAP(1)

NAME
autodoap - automatically write DOAP files for upstream projects

DESCRIPTION
autodoap [-h] [--trust] [--disable-net-access] [--check] [--consult-external-directory] [--version] [path] This tool tries to guess upstream metadata (Homepage, Contact, VCS Repository) information for an upstream project. It does this by parsing various files in the package, and possibly calling out to external services (unless --disable-net-access is specified). Data is written to standard out in DOAP.

  positional arguments:

    path

  optional arguments:

-h, --help
    show this help message and exit

--trust
    Whether to allow running code from the package.

--disable-net-access
    Do not probe external services.

--check
    Check guessed metadata against external sources.

--consult-external-directory
    Pull in external (not maintained by upstream) directory data

--version
    show program's version number and exit

SEE ALSO
apply-multiarch-hints(1) guess-upstream-metadata(1) lintian-brush(1) lintian(1)

AUTHORS
Jelmer Vernooĳ <jelmer@jelmer.uk>